namespace MauiTestApp.Pages;

public partial class KEMPage : ContentPage
{
	public KEMPage()
	{
		InitializeComponent();

		Binder.OnDataUpdate += OnGraphUpdate;
	}

	private void OnGraphUpdate(object? sender, EventArgs e)
	{
        KeypairGraph.Update(Binder.KeypairRuns);
        KeypairCanvas.Invalidate();
        EncapsGraph.Update(Binder.EncapsRuns);
		EncapsCanvas.Invalidate();
        DecapsGraph.Update(Binder.DecapsRuns);
        DecapsCanvas.Invalidate();
    }
}